import type { Metadata } from "next";
import { Geist_Mono, Noto_Sans, Saira } from "next/font/google";
import { Toast } from "@heroui/react";
import "./globals.css";

const fontSaira = Saira({
  variable: "--font-saira",
  subsets: ["latin"],
});

const fontNotoSans = Noto_Sans({
  variable: "--font-noto-sans",
  subsets: ["latin"],
});

const fontMono = Geist_Mono({
  variable: "--font-geist-mono",
  subsets: ["latin"],
});

export const metadata: Metadata = {
  title: "Helios EVCS",
  description:
    "A modern EV charging station management system built with Next.js, Drizzle ORM, and OCPP.",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body
        className={`${fontSaira.variable} ${fontNotoSans.variable} ${fontMono.variable} antialiased`}
      >
        <Toast.Provider />
        {children}
      </body>
    </html>
  );
}
